------------------------------------------------------------------------------------
-- Migrate global.cars{} to global.vehicles{} (table was renamed in GCKI 0.17.8).

local GCKI = require('__GCKI__.common')('GCKI')
local script_name = "00-17-09_cars_to_vehicles.lua"

GCKI.dprint("Entered migration script " .. script_name .. ".")

if global.cars and not global.vehicles then
    global.vehicles = global.cars
    global.cars = nil

    GCKI.dprint("Renamed variable \"global.cars\" to \"global.vehicles\".")
end

GCKI.dprint("End of migration script " .. script_name .. ".")
