local icon, locked_symbol
if zf then
    GCKI.dprint("Replacing icon for \"key\" in item.lua with icon from \"Gizmos Car Keys - Zahnfeechen Patch\".")
    icon = "car-key-64-zf.png"
    locked_symbol = "locked_symbol-64-zf.png"
else
    GCKI.dprint("Using original icon for \"key\" from \"Gizmos Car Keys\" in item.lua.")
    icon = "car-key-64.png"
    locked_symbol = "locked_symbol-64.png"
end

data:extend({
    {
        type = "item",
        name = "car-key",
        icon = GCKI.modRoot .. "/graphics/" .. icon,
        icon_size = 64,
        icon_mipmaps = 1,
        subgroup = "transport",
        order = "b[personal-transport]-z[car-key]",
        place_result = "car-key",
        stack_size = 1
    },

    {
        type = "sprite",
        name = "GCKI_locked-icon",
        filename = GCKI.modRoot .. "/graphics/" .. locked_symbol,
        size = 64,
        scale = .5
    }
})
