data:extend({
------------------------------------------------------------------------------------
--                               STARTUP SETTINGS                                 --
------------------------------------------------------------------------------------
    {   -- Long reach
        type = "bool-setting",
        name = "GCKI-long_reach",
        setting_type = "startup",
        default_value = false,
        order = "a-a"
    },
    {    -- Write debugging output to log file?
        type = "bool-setting",
        name = "GCKI-debug_in_log",
        setting_type = "startup",
        default_value = false,
        order = "a-b"
    },
    {    -- Write debugging output to log file?
        type = "bool-setting",
        name = "GCKI-zahnfeechen_icons",
        setting_type = "startup",
        default_value = false,
        order = "a-a"
    },

------------------------------------------------------------------------------------
--                              GLOBAL RUNTIME SETTINGS                           --
------------------------------------------------------------------------------------
    --~ {   -- Debugging
        --~ type = "bool-setting",
        --~ name = "GCKI-debug_in_game",
        --~ setting_type = "runtime-global",
        --~ default_value = false,
        --~ order = "b-a"
    --~ },

------------------------------------------------------------------------------------
--                             PER-USER RUNTIME SETTINGS                          --
------------------------------------------------------------------------------------
    {   -- Show debugging output in game?
        type = "bool-setting",
        name = "GCKI-debug_in_game",
        setting_type = "runtime-per-user",
        default_value = false,
        order = "b-a"
    },

    {   -- Teleport to other surfaces
        type = "bool-setting",
        name = "GCKI-teleport_to_other_surface",
        setting_type = "runtime-per-user",
        default_value = true,
        order = "c-a"
    },

    {   -- Rendering
        type = "bool-setting",
        name = "GCKI-render_text",
        setting_type = "runtime-per-user",
        default_value = true,
        order = "d-a"
    },
    {   -- Render time
        type = "int-setting",
        name = "GCKI-render_time",
        setting_type = "runtime-per-user",
        default_value =  5 * 60,                -- 5 minutes
        minimum_value =  1 *  1,                -- 1 second
        maximum_value = 60 * 60,                -- 1 hour
        order = "d-b"
    },
    {   -- Render color
        type = "string-setting",
        name = "GCKI-render_color",
        setting_type = "runtime-per-user",
        default_value =  "default",
        allowed_values = {
                           "default",
                           "acid",
                           "black",
                           "blue",
                           "brown",
                           "cyan",
                           "gray",
                           "green",
                           "orange",
                           "pink",
                           "purple",
                           "red",
                           "white",
                           "yellow",
                         },
        order = "d-c"
    }
})
