if zf then
    GCKI.dprint("Replacing icon for \"key\" in entity.lua with icon from \"Gizmos Car Keys - Zahnfeechen Patch\".")
    icon = "car-key-zf.png"
    icon64 = "car-key-64-zf.png"
else
    GCKI.dprint("Using original icon for \"key\" from \"Gizmos Car Keys\" in entity.lua.")
    icon = "car-key.png"
    icon64 = "car-key-64.png"
end

data:extend({
    {
        -- Changed type in 0.17.10 to avoid wasting unit_numbers (keys are destroyed and regenerated after use)
        --~ type = "container",
        type = "simple-entity",
        name = "car-key",
        --~ icon = GCKI.modRoot .. "/graphics/" .. icon,
        --~ icon_size = 32,
        icon = GCKI.modRoot .. "/graphics/" .. icon64,
        icon_size = 64,
        icon_mipmaps = 1,
        flags = {"placeable-neutral", "player-creation", "placeable-off-grid", "not-blueprintable"},
        max_health = 100,
        collision_box = {{-0.0, -0.0}, {0.0, 0.0}},
        collision_mask = {"floor-layer"},
        selection_box = {{-0.0, -0.0}, {0.0, 0.0}},
        inventory_size = 1,
        pictures =
        {
            filename = GCKI.modRoot .. "/graphics/" .. icon,
            priority = "extra-high",
            width = 32,
            height = 32,
            shift = {0.0, 0.0}
        }
    }
})
